/services/webshop/v1/settings/save
Auth
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
language |
string
en, nl |
Yes | en |
|
country |
string
AF, AL, DZ, AD, AO, AG, AR, AM, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BT, BO, BA, BW, BR, BN, BG, BF, BI, CV, KH, CM, CA, CF, TD, CL, CN, CO, KM, CG, CR, HR, CU, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FJ, FI, FR, GA, GM, GE, DE, GH, GR, GD, GT, GN, GW, GY, HT, VA, HN, HU, IS, IN, ID, IR, IQ, IE, IL, IT, JM, JP, JO, KZ, KE, KI, KP, KR, XK, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MG, MW, MY, MV, ML, MT, MH, MR, MU, MX, FM, MD, MC, MN, ME, MA, MZ, MM, NA, NR, NP, NL, NZ, NI, NE, NG, MK, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PL, PT, QA, RO, RU, RW, KN, LC, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SK, SI, SB, SO, ZA, SS, ES, LK, SD, SR, SE, CH, SY, TJ, TZ, TH, TL, TG, TO, TT, TN, TR, TM, TV, UG, UA, AE, GB, US, UY, UZ, VU, VE, VN, YE, ZM, ZW |
Yes | NL |
|
currency |
string
USD, EUR, GBP, JPY, CNY, AUD, CAD, CHF, NZD, SEK, NOK, DKK, SGD, HKD, KRW, MXN, INR, RUB, BRL, ZAR, TRY, SAR, AED, ILS, THB, MYR, IDR, PHP, PLN, HUF, CZK, RON, HRK, BGN, EGP, NGN, KES, MAD, CLP, ARS, COP, PEN, QAR, KWD, PKR, VND, BDT, LKR, NPR |
Yes | EUR |
|
order_prefix |
string|null
max: 10 |
No | ORD- |
|
invoice_prefix |
string|null
max: 10 |
No | INV- |
|
order_starting_number |
integer|null
min: 1 |
No | 1 |
|
invoice_starting_number |
integer|null
min: 1 |
No | 1 |
|
translation_code |
string|null | No | {"add_to_cart":"Add to cart"} |
|
prices_inclusive_tax |
boolean|null | No | true |
|
show_prices_inclusive_tax |
boolean|null | No | true |
|
show_tax_label_in_categories |
boolean|null | No | false |
|
mollie_test_mode |
boolean|null | No | false |
|
mollie_live_api_key |
string|null | No | live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx |
|
mollie_test_api_key |
string|null | No | test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx |
|
mollie_profile_id |
string|null | No | pfl_xxxxxxxxxx |
|
stripe_test_mode |
boolean|null | No | false |
|
stripe_live_publishable_key |
string|null | No | pk_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx |
|
stripe_live_secret_key |
string|null | No | sk_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx |
|
stripe_test_publishable_key |
string|null | No | pk_test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx |
|
stripe_test_secret_key |
string|null | No | sk_test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx |
|
enable_wire |
boolean|null | No | true |
|
wire_title |
string|null | No | Bank Transfer |
|
wire_description |
string|null | No | Please transfer the total amount to our bank account. |
|
enable_pay_on_pickup |
boolean|null | No | false |
|
pay_on_pickup_title |
string|null | No | Pay on Pickup |
|
pay_on_pickup_description |
string|null | No | Pay when you collect your order in store. |
|
default_products_template |
string|null | No | 1 |
|
default_categories_template |
string|null | No | 1 |
|
products_per_row |
integer|null
2, 3, 4, 5, 6 |
No | 3 |
|
products_filters_per_row |
integer|null
2, 3, 4, 5, 6 |
No | 3 |
|
shoppingcart_page_id |
string|null | No | 10 |
|
checkout_page_id |
string|null | No | 11 |
|
thankyou_page_id |
string|null | No | 12 |
|
invoice_enable |
boolean | No | true |
|
package_slip_enable |
boolean | No | false |
|
webshop_email_to |
string|null (email) | No | orders@example.com |
|
pdf_header_legal_info |
string | No | <p>Company Name BV, VAT: NL123456789B01</p> |
|
pdf_invoice_footer_text |
string | No | Thank you for your order! |
|
ga4_measurement_id |
string|null
max: 20 |
No | G-XXXXXXXXXX |
|
ga4_api_secret |
string|null
max: 100 |
No | abc123def456 |
|
redirect_to_cart_after_add |
boolean|null | No | false |
|
sendcloud_enabled |
boolean|null | No | true |
|
agreement_url |
string|null | No | https://example.com/terms |
|
email_bcc |
array|null | No | ["admin@example.com"] |
|
email_cc |
array|null | No | ["manager@example.com"] |
|
shipping_methods |
array|null | No | [] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
mixed[] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
string[] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/webshop/v1/settings/save" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"language": "en",
"country": "NL",
"currency": "EUR",
"order_prefix": "ORD-",
"invoice_prefix": "INV-",
"order_starting_number": 1,
"invoice_starting_number": 1,
"translation_code": {
"add_to_cart": "Add to cart"
},
"prices_inclusive_tax": true,
"show_prices_inclusive_tax": true,
"show_tax_label_in_categories": false,
"mollie_test_mode": false,
"mollie_live_api_key": "live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"mollie_test_api_key": "test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"mollie_profile_id": "pfl_xxxxxxxxxx",
"stripe_test_mode": false,
"stripe_live_publishable_key": "pk_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"stripe_live_secret_key": "sk_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"stripe_test_publishable_key": "pk_test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"stripe_test_secret_key": "sk_test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"enable_wire": true,
"wire_title": "Bank Transfer",
"wire_description": "Please transfer the total amount to our bank account.",
"enable_pay_on_pickup": false,
"pay_on_pickup_title": "Pay on Pickup",
"pay_on_pickup_description": "Pay when you collect your order in store.",
"default_products_template": "1",
"default_categories_template": "1",
"products_per_row": 3,
"products_filters_per_row": 3,
"shoppingcart_page_id": "10",
"checkout_page_id": "11",
"thankyou_page_id": "12",
"invoice_enable": true,
"package_slip_enable": false,
"webshop_email_to": "orders@example.com",
"pdf_header_legal_info": "Company Name BV, VAT: NL123456789B01
",
"pdf_invoice_footer_text": "Thank you for your order!",
"ga4_measurement_id": "G-XXXXXXXXXX",
"ga4_api_secret": "abc123def456",
"redirect_to_cart_after_add": false,
"sendcloud_enabled": true,
"agreement_url": "https://example.com/terms",
"email_bcc": [
"admin@example.com"
],
"email_cc": [
"manager@example.com"
],
"shipping_methods": []
}'
fetch('https://api.wemasy.nl/api/services/webshop/v1/settings/save', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"language": "en",
"country": "NL",
"currency": "EUR",
"order_prefix": "ORD-",
"invoice_prefix": "INV-",
"order_starting_number": 1,
"invoice_starting_number": 1,
"translation_code": {
"add_to_cart": "Add to cart"
},
"prices_inclusive_tax": true,
"show_prices_inclusive_tax": true,
"show_tax_label_in_categories": false,
"mollie_test_mode": false,
"mollie_live_api_key": "live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"mollie_test_api_key": "test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"mollie_profile_id": "pfl_xxxxxxxxxx",
"stripe_test_mode": false,
"stripe_live_publishable_key": "pk_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"stripe_live_secret_key": "sk_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"stripe_test_publishable_key": "pk_test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"stripe_test_secret_key": "sk_test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"enable_wire": true,
"wire_title": "Bank Transfer",
"wire_description": "Please transfer the total amount to our bank account.",
"enable_pay_on_pickup": false,
"pay_on_pickup_title": "Pay on Pickup",
"pay_on_pickup_description": "Pay when you collect your order in store.",
"default_products_template": "1",
"default_categories_template": "1",
"products_per_row": 3,
"products_filters_per_row": 3,
"shoppingcart_page_id": "10",
"checkout_page_id": "11",
"thankyou_page_id": "12",
"invoice_enable": true,
"package_slip_enable": false,
"webshop_email_to": "orders@example.com",
"pdf_header_legal_info": "Company Name BV, VAT: NL123456789B01
",
"pdf_invoice_footer_text": "Thank you for your order!",
"ga4_measurement_id": "G-XXXXXXXXXX",
"ga4_api_secret": "abc123def456",
"redirect_to_cart_after_add": false,
"sendcloud_enabled": true,
"agreement_url": "https://example.com/terms",
"email_bcc": [
"admin@example.com"
],
"email_cc": [
"manager@example.com"
],
"shipping_methods": []
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/webshop/v1/settings/save', {
"language": "en",
"country": "NL",
"currency": "EUR",
"order_prefix": "ORD-",
"invoice_prefix": "INV-",
"order_starting_number": 1,
"invoice_starting_number": 1,
"translation_code": {
"add_to_cart": "Add to cart"
},
"prices_inclusive_tax": true,
"show_prices_inclusive_tax": true,
"show_tax_label_in_categories": false,
"mollie_test_mode": false,
"mollie_live_api_key": "live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"mollie_test_api_key": "test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"mollie_profile_id": "pfl_xxxxxxxxxx",
"stripe_test_mode": false,
"stripe_live_publishable_key": "pk_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"stripe_live_secret_key": "sk_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"stripe_test_publishable_key": "pk_test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"stripe_test_secret_key": "sk_test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"enable_wire": true,
"wire_title": "Bank Transfer",
"wire_description": "Please transfer the total amount to our bank account.",
"enable_pay_on_pickup": false,
"pay_on_pickup_title": "Pay on Pickup",
"pay_on_pickup_description": "Pay when you collect your order in store.",
"default_products_template": "1",
"default_categories_template": "1",
"products_per_row": 3,
"products_filters_per_row": 3,
"shoppingcart_page_id": "10",
"checkout_page_id": "11",
"thankyou_page_id": "12",
"invoice_enable": true,
"package_slip_enable": false,
"webshop_email_to": "orders@example.com",
"pdf_header_legal_info": "Company Name BV, VAT: NL123456789B01
",
"pdf_invoice_footer_text": "Thank you for your order!",
"ga4_measurement_id": "G-XXXXXXXXXX",
"ga4_api_secret": "abc123def456",
"redirect_to_cart_after_add": false,
"sendcloud_enabled": true,
"agreement_url": "https://example.com/terms",
"email_bcc": [
"admin@example.com"
],
"email_cc": [
"manager@example.com"
],
"shipping_methods": []
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"language": "en",
"country": "NL",
"currency": "EUR",
"order_prefix": "ORD-",
"invoice_prefix": "INV-",
"order_starting_number": 1,
"invoice_starting_number": 1,
"translation_code": {
"add_to_cart": "Add to cart"
},
"prices_inclusive_tax": true,
"show_prices_inclusive_tax": true,
"show_tax_label_in_categories": false,
"mollie_test_mode": false,
"mollie_live_api_key": "live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"mollie_test_api_key": "test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"mollie_profile_id": "pfl_xxxxxxxxxx",
"stripe_test_mode": false,
"stripe_live_publishable_key": "pk_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"stripe_live_secret_key": "sk_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"stripe_test_publishable_key": "pk_test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"stripe_test_secret_key": "sk_test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"enable_wire": true,
"wire_title": "Bank Transfer",
"wire_description": "Please transfer the total amount to our bank account.",
"enable_pay_on_pickup": false,
"pay_on_pickup_title": "Pay on Pickup",
"pay_on_pickup_description": "Pay when you collect your order in store.",
"default_products_template": "1",
"default_categories_template": "1",
"products_per_row": 3,
"products_filters_per_row": 3,
"shoppingcart_page_id": "10",
"checkout_page_id": "11",
"thankyou_page_id": "12",
"invoice_enable": true,
"package_slip_enable": false,
"webshop_email_to": "orders@example.com",
"pdf_header_legal_info": "Company Name BV, VAT: NL123456789B01
",
"pdf_invoice_footer_text": "Thank you for your order!",
"ga4_measurement_id": "G-XXXXXXXXXX",
"ga4_api_secret": "abc123def456",
"redirect_to_cart_after_add": false,
"sendcloud_enabled": true,
"agreement_url": "https://example.com/terms",
"email_bcc": [
"admin@example.com"
],
"email_cc": [
"manager@example.com"
],
"shipping_methods": []
}
r = requests.post("https://api.wemasy.nl/api/services/webshop/v1/settings/save", headers=headers, json=data)
print(r.json())
{
"error": false,
"message": "string",
"data": []
}